Bug 502119 - ipa passwd unable to set user passwords
ipa passwd unable to set user passwords
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
unspecified
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-05-21 19:26 EDT by Michael Gregg
Modified: 2015-01-04 18:38 EST (History)
2 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make sure old password is not None (945 bytes, patch)
2009-05-21 22:43 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Michael Gregg 2009-05-21 19:26:38 EDT
Description of problem:
When running ipa passwd to set a users password, a error is reported

Version-Release number of selected component (if applicable):
ipa-admintools-2.0-2.20090521.el5ipa

How reproducible:
always

Steps to Reproduce:
1.kinit as admin
2.create a user
3.attempt to set that users password with ipa passwd.
  
Actual results:
[root@iparhel5-vma ~]# ipa passwd llk
password: 
Enter password again to verify: 
ipa: ERROR: an internal error has occured


Additional info:
kinit looks good -
[root@iparhel5-vma ~]# klist
Ticket cache: FILE:/tmp/krb5cc_0
Default principal: admin@DSDEV.SJC.REDHAT.COM
Valid starting     Expires            Service principal
05/21/09 15:03:51  05/22/09 15:03:49  krbtgt/DSDEV.SJC.REDHAT.COM@DSDEV.SJC.REDHAT.COM
05/21/09 15:04:01  05/22/09 15:03:49  HTTP/iparhel5-vma.dsdev.sjc.redhat.com@DSDEV.SJC.REDHAT.COM
Comment 2 Rob Crittenden 2009-05-21 22:43:21 EDT
Created attachment 345048 [details]
Make sure old password is not None
Comment 3 Rob Crittenden 2009-05-21 22:43:51 EDT
master: 762d38a73477ce166fa2f269144157b3850e02db

I forgot to put the bug number if the commit :-(
Comment 4 Michael Gregg 2009-05-22 13:52:57 EDT
That patch worked! 

Thank you for the quick attention.

Setting to verified against ipa-admintools-2.0-2.20090522.el5ipa

Output from the verification test:
[root@iparhel5-vma ~]# ipa passwd g
password: 
Enter password again to verify: 
Changed password for "g"
[root@iparhel5-vma ~]# kdestroy 
[root@iparhel5-vma ~]# kinit g
Password for g@DSDEV.SJC.REDHAT.COM: 
Password expired.  You must change it now.
Enter new password: 
Enter it again: 


[root@iparhel5-vma ~]# klist
Ticket cache: FILE:/tmp/krb5cc_0
Default principal: g@DSDEV.SJC.REDHAT.COM

Valid starting     Expires            Service principal
05/22/09 10:50:54  05/23/09 10:50:54  krbtgt/DSDEV.SJC.REDHAT.COM@DSDEV.SJC.REDHAT.COM


Kerberos 4 ticket cache: /tmp/tkt0
klist: You have no tickets cached

Note You need to log in before you can comment on or make changes to this bug.